function getcolumns(setdrawer) {
  return [
    {
      title: '数据编号',
      dataIndex: 'dataCode',
      key: 'dataCode',
      hideInForm: true,
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '数据名称',
      dataIndex: 'title',
      key: 'dataName',
      formItemProps: {
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '数据类型',
      dataIndex: 'dataTypeName',
      key: 'dataType',
      hideInForm: false,
      fieldProps: {
        disabled: true,
      },
      search: false,
    },
    {
      title: '数据类型',
      dataIndex: 'dataTypeName',
      key: 'dataType',
      valueType: 'input',
      hideInForm: true,
      hideInTable: true,
      valueType: 'select',
      options: [
        {
          label: '初始化',
          value: '1',
        },
        {
          label: '自定义',
          value: '2',
        },
      ],
    },
    {
      title: '描述',
      dataIndex: 'describe',
      key: 'describe',
      valueType: 'input',
      search: false,
    },
  ];
}

export default getcolumns;
