function getcolumns(setdrawer) {
  return {
    columns: [
      {
        title: '推送场景',
        dataIndex: 'msgSceneName',
        key: 'businessMsgSceneId',
        valueType: 'select',
        options: {
          path: '/base/paBusinessMsgScene/queryAllForSelect',
          params: {},
        },
        render: (_, row) => {
          return (
            <a
              onClick={() => {
                setdrawer((s) => ({
                  ...s,
                  open: true,
                  item: row,
                  title: '详情',
                  val: 'detail',
                  title: '详细信息',
                  pushSettingFlag: false,
                }));
              }}
            >
              {row?.msgSceneName}
            </a>
          );
        },
      },
      {
        title: '推送方式',
        dataIndex: 'sendMethodName',
        key: 'sendMethodType',
        valueType: 'select',
        options: [
          {
            value: '4',
            label: '邮件',
          },
        ],
      },
      {
        title: '适用类型',
        dataIndex: 'fitFieldName',
        key: 'fitField',
        valueType: 'select',
        mode: 'radio',
        options: [
          {
            label: '全部',
            value: '1',
          },
          {
            label: '公司',
            value: '2',
          },
          {
            label: '部门',
            value: '3',
          },
          {
            label: '工厂',
            value: '4',
          },
          {
            label: '车间',
            value: '5',
          },
          {
            label: '工段',
            value: '6',
          },
          {
            label: '产线',
            value: '7',
          },
        ],
      },
      {
        title: '类型名称',
        dataIndex: 'fieldName',
        key: 'fieldId',
      },
      {
        title: '推送标题',
        dataIndex: 'sendTitle',
        key: 'sendTitle',
        search: false,
      },
      {
        title: '推送内容',
        dataIndex: 'sendContent',
        search: false,
        key: 'sendContent',
        valueType: 'textarea',
      },
    ],
    pathconfig: {
      enableadd: true,
      enableedit: true,
      enabledelete: true,
      enabledetail: true,
      add: '',
      edit: '',
      list: '/base/paBusinessMsgOption/queryList',
      delete: '/base/paBusinessMsgOption/deleteById',
      detail: '',
    },
  };
}
export default getcolumns;
